Index: plugins/widgets/_default_widgets.php
===================================================================
--- plugins/widgets/_default_widgets.php	(revision 2409)
+++ plugins/widgets/_default_widgets.php	(revision 2412)
@@ -22,6 +22,6 @@
 $__widgets->search->setting('homeonly',__('Display on:'),0,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->search->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
-$__widgets->search->advanced_setting('class',__('CSS class:'),'');
+$__widgets->search->setting('content_only',__('Content only'),0,'check');
+$__widgets->search->setting('class',__('CSS class:'),'');
 
 $__widgets->create('navigation',__('Navigation links'),array('defaultWidgets','navigation'),null,'List of navigation links');
@@ -29,6 +29,6 @@
 $__widgets->navigation->setting('homeonly',__('Display on:'),0,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->navigation->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
-$__widgets->navigation->advanced_setting('class',__('CSS class:'),'');
+$__widgets->navigation->setting('content_only',__('Content only'),0,'check');
+$__widgets->navigation->setting('class',__('CSS class:'),'');
 
 $__widgets->create('bestof',__('Selected entries'),array('defaultWidgets','bestof'),null,'List of selected entries');
@@ -37,6 +37,6 @@
 $__widgets->bestof->setting('homeonly',__('Display on:'),1,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->bestof->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
-$__widgets->bestof->advanced_setting('class',__('CSS class:'),'');
+$__widgets->bestof->setting('content_only',__('Content only'),0,'check');
+$__widgets->bestof->setting('class',__('CSS class:'),'');
 
 $__widgets->create('langs',__('Blog languages'),array('defaultWidgets','langs'),null,'List of available languages');
@@ -44,6 +44,6 @@
 $__widgets->langs->setting('homeonly',__('Display on:'),1,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->langs->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
-$__widgets->langs->advanced_setting('class',__('CSS class:'),'');
+$__widgets->langs->setting('content_only',__('Content only'),0,'check');
+$__widgets->langs->setting('class',__('CSS class:'),'');
 
 $__widgets->create('categories',__('List of categories'),array('defaultWidgets','categories'),null,'List of categories');
@@ -54,6 +54,6 @@
 $__widgets->categories->setting('homeonly',__('Display on:'),0,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->categories->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
-$__widgets->categories->advanced_setting('class',__('CSS class:'),'');
+$__widgets->categories->setting('content_only',__('Content only'),0,'check');
+$__widgets->categories->setting('class',__('CSS class:'),'');
 
 $__widgets->create('subscribe',__('Subscribe links'),array('defaultWidgets','subscribe'),null,'Feed subscription links (RSS or Atom)');
@@ -62,6 +62,6 @@
 $__widgets->subscribe->setting('homeonly',__('Display on:'),1,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->subscribe->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
-$__widgets->subscribe->advanced_setting('class',__('CSS class:'),'');
+$__widgets->subscribe->setting('content_only',__('Content only'),0,'check');
+$__widgets->subscribe->setting('class',__('CSS class:'),'');
 
 $__widgets->create('feed',__('Feed reader'),array('defaultWidgets','feed'),null,'List of last entries from feed (RSS or Atom)');
@@ -71,6 +71,6 @@
 $__widgets->feed->setting('homeonly',__('Display on:'),1,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->feed->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
-$__widgets->feed->advanced_setting('class',__('CSS class:'),'');
+$__widgets->feed->setting('content_only',__('Content only'),0,'check');
+$__widgets->feed->setting('class',__('CSS class:'),'');
 
 $__widgets->create('text',__('Text'),array('defaultWidgets','text'),null,'Simple text');
@@ -79,6 +79,6 @@
 $__widgets->text->setting('homeonly',__('Display on:'),0,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->text->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
-$__widgets->text->advanced_setting('class',__('CSS class:'),'');
+$__widgets->text->setting('content_only',__('Content only'),0,'check');
+$__widgets->text->setting('class',__('CSS class:'),'');
 
 $__widgets->create('lastposts',__('Last entries'),array('defaultWidgets','lastposts'),null,'List of last entries published');
@@ -97,6 +97,6 @@
 $__widgets->lastposts->setting('homeonly',__('Display on:'),1,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->lastposts->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
-$__widgets->lastposts->advanced_setting('class',__('CSS class:'),'');
+$__widgets->lastposts->setting('content_only',__('Content only'),0,'check');
+$__widgets->lastposts->setting('class',__('CSS class:'),'');
 
 $__widgets->create('lastcomments',__('Last comments'),array('defaultWidgets','lastcomments'),null,'List of last comments published');
@@ -105,6 +105,6 @@
 $__widgets->lastcomments->setting('homeonly',__('Display on:'),1,'combo',
 	array(__('All pages') => 0, __('Home page only') => 1, __('Except on home page') => 2));
-$__widgets->lastcomments->advanced_setting('content_only','',0,'radio', array(array(__('Content only'), '1'), array(__('Enclosing div'), '0')));
-$__widgets->lastcomments->advanced_setting('class',__('CSS class:'),'');
+$__widgets->lastcomments->setting('content_only',__('Content only'),0,'check');
+$__widgets->lastcomments->setting('class',__('CSS class:'),'');
 
 # --BEHAVIOR-- initWidgets
Index: plugins/widgets/class.widgets.php
===================================================================
--- plugins/widgets/class.widgets.php	(revision 2395)
+++ plugins/widgets/class.widgets.php	(revision 2412)
@@ -139,6 +139,4 @@
 	public $append_callback = null;
 	private $settings = array();
-	private $advance_id;
-	private $advanced_settings = array();
 	
 	public function serialize($order) {
@@ -146,6 +144,4 @@
 		foreach ($this->settings as $k=>$v)
 			$values[$k]=$v['value'];
-		foreach ($this->advanced_settings as $k=>$v)
-			$values[$k]=$v['value'];
 		$values['id']=$this->id;
 		$values['order']=$order;
@@ -193,11 +189,8 @@
 	public function __get($n)
 	{
-		$setting = null;
 		if (isset($this->settings[$n])) {
-			$setting = $this->settings[$n]['value'];
-		} else if (isset($this->advanced_settings[$n])) {
-			$setting = $this->advanced_settings[$n]['value'];
-		}
-		return $setting;
+			return $this->settings[$n]['value'];
+		}
+		return null;
 	}
 	
@@ -206,6 +199,4 @@
 		if (isset($this->settings[$n])) {
 			$this->settings[$n]['value'] = $v;
-		} else if (isset($this->advanced_settings[$n])) {
-			$this->advanced_settings[$n]['value'] = $v;
 		}
 	}
@@ -231,29 +222,4 @@
 	}
 	
-	public function advanced_setting($name,$title,$value,$type='text')
-	{
-		if ($type == 'combo' || $type == 'radio') {
-			$options = @func_get_arg(4);
-			if (!is_array($options)) {
-				return false;
-			}
-		}
-		
-		$this->advanced_settings[$name] = array(
-			'title' => $title,
-			'type' => $type,
-			'value' => $value
-		);
-		
-		if (isset($options)) {
-			$this->advanced_settings[$name]['options'] = $options;
-		}
-	}
-	
-	public function advance_settings()
-	{
-		return $this->advanced_settings;
-	}
-	
 	public function settings()
 	{
@@ -268,18 +234,4 @@
 			$res .= $this->formSetting($id,$s,$pr,$i=0);
 			$i++;
-		}
-		
-		if ( count($this->advanced_settings) > 0 )
-		{
-			$res .= '<div class="widgetAdvancedSettings">';
-			$res .= '<h5>'.__('Réglages avancés').'</h5>';
-		
-			foreach ($this->advanced_settings as $id => $s)
-			{
-				$res .= $this->formSetting($id,$s,$pr,$i);
-				$i++;
-			}
-			
-			$res .= '</div>';
 		}
 		
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 2408)
+++ plugins/widgets/index.php	(revision 2412)
@@ -90,5 +90,4 @@
 				}
 			}
-			
 		}
 		
@@ -155,5 +154,4 @@
 	try
 	{
-		
 		# Removing mark as _rem widgets
 		foreach ($_POST['w'] as $nsid => $nsw) {
